Index: npl/internetserver/iproute2/iproute2-2.6.26-ldflags.patch
===================================================================
--- npl/internetserver/iproute2/iproute2-2.6.26-ldflags.patch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/internetserver/iproute2/iproute2-2.6.26-ldflags.patch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,15 @@
+respect env LDFLAGS
+
+http://bugs.gentoo.org/236861
+
+--- tc/Makefile
++++ tc/Makefile
+@@ -83,7 +83,7 @@
+ 	rm -f emp_ematch.yacc.output
+ 
+ q_atm.so: q_atm.c
+-	$(CC) $(CFLAGS) -shared -fpic -o q_atm.so q_atm.c -latm
++	$(CC) $(CFLAGS) $(LDFLAGS) -shared -fpic -o q_atm.so q_atm.c -latm
+ 
+ %.yacc.c: %.y
+ 	$(YACC) $(YACCFLAGS) -o $@ $<
Index: npl/internetserver/iproute2/iproute2-2.6.29.1-flush.patch
===================================================================
--- npl/internetserver/iproute2/iproute2-2.6.29.1-flush.patch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/internetserver/iproute2/iproute2-2.6.29.1-flush.patch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,220 @@
+diff -Nru iproute2-2.6.29-1.orig/ip/ipaddress.c iproute2-2.6.29-1/ip/ipaddress.c
+--- iproute2-2.6.29-1.orig/ip/ipaddress.c	2009-03-24 23:40:54.000000000 +0100
++++ iproute2-2.6.29-1/ip/ipaddress.c	2009-07-11 09:00:32.000000000 +0200
+@@ -37,6 +37,8 @@
+ 
+ #define MAX_ROUNDS 10
+ 
++static struct rtnl_handle rth_flush = { .fd = -1 };
++
+ static struct
+ {
+ 	int ifindex;
+@@ -339,7 +341,7 @@
+ 
+ static int flush_update(void)
+ {
+-	if (rtnl_send_check(&rth, filter.flushb, filter.flushp) < 0) {
++	if (rtnl_send_check(&rth_flush, filter.flushb, filter.flushp) < 0) {
+ 		perror("Failed to send flush request");
+ 		return -1;
+ 	}
+@@ -697,6 +699,9 @@
+ 		filter.flushp = 0;
+ 		filter.flushe = sizeof(flushb);
+ 
++		if (rtnl_open(&rth_flush, 0) < 0)
++			return 1;
++
+ 		while (round < MAX_ROUNDS) {
+ 			if (rtnl_wilddump_request(&rth, filter.family, RTM_GETADDR) < 0) {
+ 				perror("Cannot send dump request");
+@@ -715,18 +720,20 @@
+ 						printf("*** Flush is complete after %d round%s ***\n", round, round>1?"s":"");
+ 				}
+ 				fflush(stdout);
++				rtnl_close(&rth_flush);
+ 				return 0;
+ 			}
+ 			round++;
+ 			if (flush_update() < 0)
+-				return 1;
++				break;
+ 
+ 			if (show_stats) {
+ 				printf("\n*** Round %d, deleting %d addresses ***\n", round, filter.flushed);
+ 				fflush(stdout);
+ 			}
+ 		}
+-		fprintf(stderr, "*** Flush remains incomplete after %d rounds. ***\n", MAX_ROUNDS); fflush(stderr);
++		fprintf(stderr, "*** Flush remains incomplete after %d rounds. ***\n", round); fflush(stderr);
++		rtnl_close(&rth_flush);
+ 		return 1;
+ 	}
+ 
+diff -Nru iproute2-2.6.29-1.orig/ip/ipneigh.c iproute2-2.6.29-1/ip/ipneigh.c
+--- iproute2-2.6.29-1.orig/ip/ipneigh.c	2009-03-24 23:40:54.000000000 +0100
++++ iproute2-2.6.29-1/ip/ipneigh.c	2009-07-11 09:04:32.000000000 +0200
+@@ -32,6 +32,8 @@
+ #define NUD_VALID	(NUD_PERMANENT|NUD_NOARP|NUD_REACHABLE|NUD_PROBE|NUD_STALE|NUD_DELAY)
+ #define MAX_ROUNDS	10
+ 
++static struct rtnl_handle rth_flush = { .fd = -1 };
++
+ static struct
+ {
+ 	int family;
+@@ -87,7 +89,7 @@
+ 
+ static int flush_update(void)
+ {
+-	if (rtnl_send_check(&rth, filter.flushb, filter.flushp) < 0) {
++	if (rtnl_send_check(&rth_flush, filter.flushb, filter.flushp) < 0) {
+ 		perror("Failed to send flush request");
+ 		return -1;
+ 	}
+@@ -391,6 +393,9 @@
+ 		filter.flushe = sizeof(flushb);
+ 		filter.state &= ~NUD_FAILED;
+ 
++		if (rtnl_open(&rth_flush, 0) < 0)
++			return 1;
++
+ 		while (round < MAX_ROUNDS) {
+ 			if (rtnl_wilddump_request(&rth, filter.family, RTM_GETNEIGH) < 0) {
+ 				perror("Cannot send dump request");
+@@ -409,18 +414,20 @@
+ 						printf("*** Flush is complete after %d round%s ***\n", round, round>1?"s":"");
+ 				}
+ 				fflush(stdout);
++				rtnl_close(&rth_flush);
+ 				return 0;
+ 			}
+ 			round++;
+ 			if (flush_update() < 0)
+-				exit(1);
++				break;
++
+ 			if (show_stats) {
+ 				printf("\n*** Round %d, deleting %d entries ***\n", round, filter.flushed);
+ 				fflush(stdout);
+ 			}
+ 		}
+-		printf("*** Flush not complete bailing out after %d rounds\n",
+-			MAX_ROUNDS);
++		fprintf(stderr, "*** Flush remains incomplete after %d rounds. ***\n", round); fflush(stderr);
++		rtnl_close(&rth_flush);
+ 		return 1;
+ 	}
+ 
+diff -Nru iproute2-2.6.29-1.orig/ip/iproute.c iproute2-2.6.29-1/ip/iproute.c
+--- iproute2-2.6.29-1.orig/ip/iproute.c	2009-03-24 23:40:54.000000000 +0100
++++ iproute2-2.6.29-1/ip/iproute.c	2009-07-11 09:04:45.000000000 +0200
+@@ -37,6 +37,7 @@
+ #define RTAX_RTTVAR RTAX_HOPS
+ #endif
+ 
++static struct rtnl_handle rth_flush = { .fd = -1 };
+ 
+ static const char *mx_names[RTAX_MAX+1] = {
+ 	[RTAX_MTU]	= "mtu",
+@@ -112,7 +113,7 @@
+ 
+ static int flush_update(void)
+ {
+-	if (rtnl_send_check(&rth, filter.flushb, filter.flushp) < 0) {
++	if (rtnl_send_check(&rth_flush, filter.flushb, filter.flushp) < 0) {
+ 		perror("Failed to send flush request");
+ 		return -1;
+ 	}
+@@ -1210,6 +1211,9 @@
+ 		filter.flushp = 0;
+ 		filter.flushe = sizeof(flushb);
+ 
++		if (rtnl_open(&rth_flush, 0) < 0)
++			return 1;
++
+ 		for (;;) {
+ 			if (rtnl_wilddump_request(&rth, do_ipv6, RTM_GETROUTE) < 0) {
+ 				perror("Cannot send dump request");
+@@ -1228,6 +1232,7 @@
+ 						printf("*** Flush is complete after %d round%s ***\n", round, round>1?"s":"");
+ 				}
+ 				fflush(stdout);
++				rtnl_close(&rth_flush);
+ 				return 0;
+ 			}
+ 			round++;
+diff -Nru iproute2-2.6.29-1.orig/ip/xfrm_policy.c iproute2-2.6.29-1/ip/xfrm_policy.c
+--- iproute2-2.6.29-1.orig/ip/xfrm_policy.c	2009-03-24 23:40:54.000000000 +0100
++++ iproute2-2.6.29-1/ip/xfrm_policy.c	2009-07-11 08:59:34.000000000 +0200
+@@ -756,11 +756,15 @@
+ 		struct xfrm_buffer xb;
+ 		char buf[NLMSG_DELETEALL_BUF_SIZE];
+ 		int i;
++		struct rtnl_handle rth2;
+ 
+ 		xb.buf = buf;
+ 		xb.size = sizeof(buf);
+ 		xb.rth = &rth;
+ 
++		if (rtnl_open(&rth2, 0) < 0)
++			exit(1);
++
+ 		for (i = 0; ; i++) {
+ 			xb.offset = 0;
+ 			xb.nlmsg_count = 0;
+@@ -783,7 +787,7 @@
+ 				break;
+ 			}
+ 
+-			if (rtnl_send_check(&rth, xb.buf, xb.offset) < 0) {
++			if (rtnl_send_check(&rth2, xb.buf, xb.offset) < 0) {
+ 				perror("Failed to send delete-all request");
+ 				exit(1);
+ 			}
+@@ -793,6 +797,8 @@
+ 			xb.offset = 0;
+ 			xb.nlmsg_count = 0;
+ 		}
++
++		rtnl_close(&rth2);
+ 	} else {
+ 		if (rtnl_wilddump_request(&rth, preferred_family, XFRM_MSG_GETPOLICY) < 0) {
+ 			perror("Cannot send dump request");
+diff -Nru iproute2-2.6.29-1.orig/ip/xfrm_state.c iproute2-2.6.29-1/ip/xfrm_state.c
+--- iproute2-2.6.29-1.orig/ip/xfrm_state.c	2009-03-24 23:40:54.000000000 +0100
++++ iproute2-2.6.29-1/ip/xfrm_state.c	2009-07-11 09:03:37.000000000 +0200
+@@ -924,11 +924,15 @@
+ 		struct xfrm_buffer xb;
+ 		char buf[NLMSG_DELETEALL_BUF_SIZE];
+ 		int i;
++		struct rtnl_handle rth2;
+ 
+ 		xb.buf = buf;
+ 		xb.size = sizeof(buf);
+ 		xb.rth = &rth;
+ 
++		if (rtnl_open(&rth2, 0) < 0)
++			exit(1);
++
+ 		for (i = 0; ; i++) {
+ 			xb.offset = 0;
+ 			xb.nlmsg_count = 0;
+@@ -951,7 +955,7 @@
+ 				break;
+ 			}
+ 
+-			if (rtnl_send_check(&rth, xb.buf, xb.offset) < 0) {
++			if (rtnl_send_check(&rth2, xb.buf, xb.offset) < 0) {
+ 				perror("Failed to send delete-all request\n");
+ 				exit(1);
+ 			}
+@@ -962,6 +966,7 @@
+ 			xb.nlmsg_count = 0;
+ 		}
+ 
++		rtnl_close(&rth2);
+ 	} else {
+ 		if (rtnl_wilddump_request(&rth, preferred_family, XFRM_MSG_GETSA) < 0) {
+ 			perror("Cannot send dump request");
Index: npl/internetserver/iproute2/iproute2.SlackBuild
===================================================================
--- npl/internetserver/iproute2/iproute2.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/internetserver/iproute2/iproute2.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,25 +1,108 @@
 #!/bin/bash
-#
-# Automaticly created by importpackage v1.0
-# Imported from: https://mirror.slackbuilds.org/slackware/slackware-14.2/source/n/iproute2/
-# Created at do 12 nov 2020  0:08:08 CET
+#Gebruik deze file als voorbeeld. Plaats de source tar.gz file in de zelfde directory als deze slackbuild
+#Met de NEED en DEP opties is het mogelijk om build dependencies aan te geven.
+#Voor de meeste packages hoeft er verder niks aan de variabellen veranderd te worden.
+##################################### Build dependency info:
+
+#Strict build-dependencies
+#Our package will be automaticly rebuilded if there is a major change in a DEP package.
+#(this is recommended for most dependencys)
+##DEP:linux
+##DEP:linux_src
+##DEP:openldap
+#NEED:iptables
+
+#Loose build-dependencies
+#The package will be installed in the buildroot during buidling, but no automatic rebuild will occur.
+#(not recommended)
+##NEED:doxygen
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+####### ALL KINDS OF HACKS/PATCHES FROM THE GENTOO FOLKS:
+
+#patch -F3 -p1 -d $SRC_DIR < iproute2-2.6.26-ldflags.patch || exit 1
+patch -p1 -d $SRC_DIR < iproute2-2.6.29.1-flush.patch || exit 1
+
+pushd $SRC_DIR 
+
+# build against system headers
+#rm -r include/netinet #include/linux include/ip{,6}tables{,_common}.h include/libiptc
+
+# Use correct iptables dir, #144265
+#sed -i "s:/usr/local/lib/iptables:/usr/lib/iptables:g" include/iptables.h 
+#EDWIN: hmm..werkt niet, wil x_tables.h ipv xtables.h?
 
 
-########### source original slackbuild (hopefully we dont need to modify it)
-CWD=`pwd`
-set -e
-source ./iproute2.SlackBuild.orig
+#disable berklydb stuff
+sed -i '/^TARGETS=/s: arpd : :' misc/Makefile || exit 1
 
 
-############ make syn3 packages
-cd $CWD
-for PKG in /tmp/package-*; do
-        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+MAKE_OPTS=""
+./configure --prefix=/usr  || exit 1
 
-        #seperate dev-package
-        syn3_move_dev $PKG $PKG""_dev
-        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
 
-        #make main package
-        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
-done
+#AUTOMAKE: Test (optional)
+if grep ^test: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS test || exit 1
+elif grep ^check: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS check || exit 1 
+fi
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make DESTDIR=/tmp/pkg DOCDIR=/usr/share/doc/iproute2 MANDIR=/usr/share/man $MAKE_OPTS install || exit 1
+popd
+
+find /tmp/pkg/etc -follow -type f -exec mv "{}" "{}.new" \; || exit 1
+
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/internetserver/iproute2/iproute2.SlackBuild.orig
===================================================================
--- npl/internetserver/iproute2/iproute2.SlackBuild.orig	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,152 +1,0 @@
-#!/bin/sh
-
-# Copyright 2005-2016  Patrick J. Volkerding, Sebeka, MN, USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-#    notice, this list of conditions and the following disclaimer.
-#
-#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
-#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
-#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-PKGNAM=iproute2
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
-
-#NUMJOBS=${NUMJOBS:-" -j7 "}
-
-# Automatically determine the architecture we're building on:
-if [ -z "$ARCH" ]; then
-  case "$( uname -m )" in
-    i?86) export ARCH=i586 ;;
-    arm*) export ARCH=arm ;;
-    # Unless $ARCH is already set, use uname -m for all other archs:
-       *) export ARCH=$( uname -m ) ;;
-  esac
-fi
-
-if [ "$ARCH" = "i586" ]; then
-  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "s390" ]; then
-  SLKCFLAGS="-O2"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
-  SLKCFLAGS="-O2 -fPIC"
-  LIBDIRSUFFIX="64"
-else
-  SLKCFLAGS="-O2"
-  LIBDIRSUFFIX=""
-fi
-
-CWD=$(pwd)
-TMP=${TMP:-/tmp}
-PKG=$TMP/package-iproute2
-
-rm -rf $PKG
-mkdir -p $TMP $PKG
-cd $TMP
-rm -rf iproute2-$VERSION
-tar xvf $CWD/iproute2-$VERSION.tar.xz || exit 1
-cd iproute2-$VERSION
-
-chown -R root:root .
-find . \
-  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-  -exec chmod 755 {} \; -o \
-  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-  -exec chmod 644 {} \;
-
-./configure  # This is okay, really :-)
-
-make \
-  CCOPTS="$SLKCFLAGS" \
-  LIBDIR=/usr/lib${LIBDIRSUFFIX} \
-  CONFDIR=/etc/iproute2 \
-  DOCDIR=/usr/doc/iproute2-$VERSION \
-  MANDIR=/usr/man \
-  DBM_INCLUDE=/usr/include/db48 \
-  $NUMJOBS || exit 1
-
-make install \
-  LIBDIR=/usr/lib${LIBDIRSUFFIX} \
-  CONFDIR=/etc/iproute2 \
-  DOCDIR=/usr/doc/iproute2-$VERSION \
-  MANDIR=/usr/man \
-  DBM_INCLUDE=/usr/include/db48 \
-  DESTDIR=$PKG || exit 1
-
-mkdir -p $PKG/usr
-make install LIBDIR=/usr/lib${LIBDIRSUFFIX} DESTDIR=$PKG/usr/ || exit 1
-
-# This stuff has always been installed under /sbin rather than
-# /usr/sbin, as the latter could possibly be network-mounted, and
-# these utilities may be needed to set up that network, so move
-# them appropriately, but leave symlinks in /usr/sbin so that
-# any scripts using absolute paths will work either way:
-#mkdir $PKG/sbin
-mv $PKG/usr/sbin/* $PKG/sbin
-( cd $PKG/usr/sbin
-  for file in ../../sbin/* ; do
-    ln -sf $file .
-  done
-)
-
-# Don't clobber existing config files
-for file in $PKG/etc/iproute2/* ; do
-  mv $file ${file}.new
-done
-
-# Remove junk:
-[ -d $PKG/usr/usr ] && rm -r $PKG/usr/usr
-[ -d $PKG/usr/var ] && rm -r $PKG/usr/var
-[ -d $PKG/usr/etc ] && rm -r $PKG/usr/etc
-
-find $PKG | xargs file | grep -e "executable" -e "shared object" \
-  | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-# Compress and if needed symlink the man pages:
-if [ -d $PKG/usr/man ]; then
-  ( cd $PKG/usr/man
-    for manpagedir in $(find . -type d -name "man*") ; do
-      ( cd $manpagedir
-        for eachpage in $( find . -type l -maxdepth 1) ; do
-          ln -s $( readlink $eachpage ).gz $eachpage.gz
-          rm $eachpage
-        done
-        gzip -9 *.?
-      )
-    done
-  )
-fi
-
-mkdir -p $PKG/usr/doc/iproute2-$VERSION
-cp -a COPYING RE* \
-  $PKG/usr/doc/iproute2-$VERSION
-
-# If there's a ChangeLog, installing at least part of the recent history
-# is useful, but don't let it get totally out of control:
-if [ -r ChangeLog ]; then
-  DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
-  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
-  touch -r ChangeLog $DOCSDIR/ChangeLog
-fi
-
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
-
-cd $PKG
-/sbin/makepkg -l y -c n $TMP/iproute2-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz
-
Index: npl/internetserver/iproute2/iproute2.build
===================================================================
--- npl/internetserver/iproute2/iproute2.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/internetserver/iproute2/iproute2.build	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,21 @@
-5226
+#!/bin/sh
+# Build this against 2.6.x kernel source and headers...
+CWD=`pwd`
+VERSION=2.6.7-ss040608
+cd /tmp
+tar xzvf $CWD/iproute2-$VERSION.tar.gz
+cd iproute2-2.6.7
+zcat $CWD/iproute2-2.6.7.arpd.ss.diff.gz | patch -p1 --verbose
+chown -R root.root .
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+make
+make install
+mkdir -p /usr/man/man8
+cp -a man/man8/* /usr/man/man8
+mv /usr/doc/iproute2 /usr/doc/iproute2-$VERSION
+cp -a RE* \
+  /usr/doc/iproute2-$VERSION
+mkdir -p /var/lib/arpd
+mkdir -p /install
+cat $CWD/slack-desc > /install/slack-desc
Index: npl/internetserver/iproute2/iproute2.md5
===================================================================
--- npl/internetserver/iproute2/iproute2.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/internetserver/iproute2/iproute2.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,8 +1,7 @@
-3497816004be1fc10098a5c2cba003b3  ./doinst.sh.gz
-da53966eb3b08ac264f3e9df02e06bfa  ./iproute2-5.14.0.tar.xz
-0b8740c5ee52c549ee85830bc676eb58  ./iproute2_dev.pkg
-b23bd2757f933b0f55ccadc073b4bd48  ./iproute2.pkg
-eeb90b7ff54a912330d99a771594260d  ./iproute2.SlackBuild
-3de77cb049c24e8f45bf1d0cf99595ba  ./iproute2.SlackBuild.log.gz
-ca2ffd2d99a878a535e8ce0ee08f6fbf  ./iproute2.SlackBuild.orig
-dc0f300699d2518f9ff3843b700cec4d  ./slack-desc
+4744b9d39631a2ada05be5095342445b  ./iproute2-2.6.26-ldflags.patch
+c1bc258a6c345905e79935ac7a3cc582  ./iproute2-2.6.29-1.tar.bz2
+d64fcd24da031f91ef7ef7d3d30a742d  ./iproute2-2.6.29.1-flush.patch
+eadca1f2ad60bf7c7d9dd3a52295a681  ./iproute2.SlackBuild
+23f19ea6c5bc356c8a326b0b836c8efe  ./iproute2.SlackBuild.log.gz
+935937a417fd236398c93cffc698ff2a  ./iproute2.build
+4d1d0a86df17741fa068b3660f230a5b  ./iproute2.pkg
Index: npl/internetserver/iproute2/iproute2.version
===================================================================
--- npl/internetserver/iproute2/iproute2.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/internetserver/iproute2/iproute2.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-5.14.0
+1
Index: npl/internetserver/iproute2/iproute2_dev.arch
===================================================================
--- npl/internetserver/iproute2/iproute2_dev.arch	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-i586
Index: npl/internetserver/iproute2/iproute2_dev.build
===================================================================
--- npl/internetserver/iproute2/iproute2_dev.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-4
Index: npl/internetserver/iproute2/iproute2_dev.version
===================================================================
--- npl/internetserver/iproute2/iproute2_dev.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5.14.0
Index: npl/internetserver/iproute2/slack-desc
===================================================================
--- npl/internetserver/iproute2/slack-desc	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,19 +1,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
-# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in.  You must make
-# exactly 11 lines for the formatting to be correct.  It's also customary to
-# leave one space after the ':'.
-
-        |-----handy-ruler------------------------------------------------------|
-iproute2: iproute2 (IP routing utilities)
-iproute2:
-iproute2: These are tools used to administer many advanced IP routing features
-iproute2: in the kernel.  See Configure.help in the kernel documentation 
-iproute2: (search for iproute2) for more information on which kernel options
-iproute2: these tools are used with.
-iproute2: 
-iproute2: These utilities were written by Alexey Kuznetsov.  The current
-iproute2: maintainer of iproute2 is Stephen Hemminger.
-iproute2:
-iproute2:
